Skip to main content
PUT
Activate Billing Schedule

Headers

Authorization
string
required

Your API credentials. Eg. Basic {credentials}.

sequence-version
enum<string>

Use this header to select an API version

Available options:
2024-07-30

Path Parameters

billingScheduleId
string
required

Billing Schedule ID

Response

OK

id
string
required

Billing Schedule ID

Example:

"b102e007-f5d7-4b1a-8a1d-9a51135ae73b"

customerId
string
required

Customer ID

Example:

"cca32597-b6b0-4499-9669-128aef8702e4"

status
enum<string>
required

Billing schedule status

Available options:
DRAFT,
PENDING,
ACTIVE,
SUSPENDED,
CANCELLED,
COMPLETED
Example:

"ACTIVE"

startDate
string
required

Start date

Example:

"2022-01-01"

autoIssueInvoices
boolean
required

If true, invoices will be automatically sent for this billing schedule

Example:

false

prices
object[]
required

Prices

Example:
createdAt
string
required

Time at which the schedule was initially created, in ISO 8601 format.

Example:

"2022-06-28T16:47:00Z"

updatedAt
string
required

Time at which the schedule was last updated, in ISO 8601 format.

Example:

"2022-06-28T16:47:00Z"

phases
object[]
required

Phases

Example:
rollUpBilling
boolean
required

Roll up billing

Example:

false

integrationIds
object[]
required

External services which are linked to this customer

Example:
attachmentAssets
object[]
required

Assets attached to this billing schedule

Example:
customFields
object
required

Custom key-value fields for this billing schedule

Example:
endDate
string | null

End date

Example:

"2022-12-01"

taxRates
object[] | null

Tax Rate for each Product

Example:
firstBillingDate
string | null

First billing date

Example:

"2022-02-02"

purchaseOrderNumber
string | null

Optional purchase order number to be added to invoices

Example:

"PO123"

reference
string | null

Optional reference to be added to invoices

Example:

"ref"

label
string | null

Optional label

Example:

"label"

recurrenceDayOfMonth
integer<int32> | null

The day of the month on which billing recurs

Example:

1

lastInvoiceId
string | null

ID of the last invoice (if there has been one)

Example:

"bdbf78a5-b007-4d46-aa7d-d0417a649d64"

archivedAt
string | null

Time at which the schedule was archived, in ISO 8601 format.

Example:

"2022-06-28T16:47:00Z"

contractId
string | null

Optional ID of the contract used to create this billing schedule

Example:

"0194d091-f65b-7b98-b75f-a923aa0f5b1a"

defaultDueDateDays
integer | null

Default number of days between invoice issue date and due date

Example:

30

memo
string | null

Billing schedule memo

Example:

"Example Billing Schedule"

paymentProvider
enum<string> | null

Payment provider configured for collecting invoices on this billing schedule

Available options:
STRIPE,
GOCARDLESS,
NONE
Example:

"STRIPE"

autoCharge
boolean | null

Whether invoices for this billing schedule are automatically charged

Example:

true

lockedByQuoteId
string | null

ID of the amendment quote that stops this billing schedule being edited, archived or deleted, or its overage frequency being changed. If more than one amendment quote is open, this is the one furthest along: accepted, then out for signature, then published, then draft, and the newest if two are equally far along. Cleared once no amendment quote holds the schedule, that is once each has been executed, archived or deleted, or another amendment to this schedule was executed after it was drafted

Example:

"0199a1b2-3c4d-7e5f-8a6b-7c8d9e0f1a2b"